package jms;

import java.util.Properties;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.TextMessage;

import org.jetel.component.jms.JmsMsg2DataRecord;
import org.jetel.component.jms.JmsMsg2DataRecordBase;
import org.jetel.data.DataRecord;
import org.jetel.data.DataRecordFactory;
import org.jetel.exception.ComponentNotReadyException;
import org.jetel.metadata.DataRecordMetadata;

public class MyJMSExtension extends JmsMsg2DataRecordBase implements JmsMsg2DataRecord {
	
	private DataRecord record;

	@Override
	public void init(DataRecordMetadata metadata, Properties props) throws ComponentNotReadyException {
		record = DataRecordFactory.newRecord(metadata);
	}

	@Override
	public DataRecord extractRecord(Message msg) throws JMSException {
		record.reset();
		record.getField("msg_id").setValue(msg.getJMSMessageID());
		
		TextMessage textmsg = (TextMessage) msg;
		record.getField("body").setValue(textmsg.getText());
		return record;
	}



}
